@import 'vars';

.contentWrapper {
  position: relative;
  margin: auto;
  @media (min-width: 768px) {
    width: 900px;
    max-width: 60vw;
  }
}

.main {
  margin-bottom: 100px;
  grid-column: main;
  span[class*='AlphaSection_additionalText'] {
    display: none;
  }
}

.financevoteLogo {
  display: block;
  margin: auto;
  margin-top: 80px;
  max-width: 100%;
  width: 203px;
  @media (min-width: 768px) {
    width: 450px;
  }
}

.description {
  text-align: center;
  
  @include below(758px) {
    width: auto;
    margin-bottom: 5px;
    margin-top: 25px;
  }
  
  .title {
    margin: 45px 0;
    color: #1CC9FF;
    text-align: center;
    text-shadow: 0px 2px 25px rgba(255, 255, 255, 0.50);
    font-family: Avenir;
    font-size: 21px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    letter-spacing: 0.42px;
  }

  span {
    color: #FFF;
    font-family: Avenir;
    font-size: 21px;
    font-style: normal;
    font-weight: 350;
    line-height: normal;
    letter-spacing: 0.42px;
  }
}
.upperContainer {
  position: relative;
  width: auto;
  height: auto;
  margin: 39px 0 49px 0;
  .image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    z-index: 1;
  }
  .video {
    display: block;
    width: 830px;
    max-width: 100%;
    // margin-top: 62px;
    margin-top: 0;
    margin-bottom: 15px;
    @media (min-width: 768px) {
      margin: auto auto 112px;
    }
  }
  @media (min-width: 768px) {
    width: 481px;
    height: 481px;
  }
}
.lowerContainer {
  display: flex;
  position: relative;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  background: transparent;;
  width: 100%;
  border-radius: 0px;
  padding: 10px;
  @media (min-width: 768px) {
    width: 650px;
    padding: 0 85px 39px;
  }
}
//TODO: Check with designs
.inputData {
  background: linear-gradient(
    91.59deg,
    rgba(28, 201, 255, 0.21) 8.93%,
    rgba(28, 201, 255, 0.602) 64.12%,
    rgba(31, 111, 229, 0.14) 120.47%
  );
  border: 1px solid rgba(28, 201, 255, 0.5);
  box-sizing: border-box;
  width: 224px;
  height: 42px;
  font-family: 'Avenir';
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #fff;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: $c-white;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: #fff;
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 347.81px;
    padding: 0px 0 0px 28px;
  }
}

.withdrawals {
  display: none;
}
.buttonWrapper {
  margin-bottom: 27px;
  width: 100%;
  position: relative;
}


.button {
  font-family: 'Avenir';
  display: inline;
  // margin: 0 0 10px 0;
  width: 100%;
  height: 65px;
  border: none;
  background: #00f220;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  line-height: 27px;
  text-align: center;
  letter-spacing: 0.11em;
  text-transform: uppercase;
  color: #052152;
  cursor: pointer;
  // margin-bottom: 27px;

  &:disabled {
    cursor: auto;
    background: #858383;
    color: white;
  }
  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
  }
  span {
    visibility: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    transform: translate(0, -25%);
    &::after {
      visibility: visible;
      content: 'MINT NOW';
    }
  }
}

.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 90%;
  margin-top: 0;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 100%;
    margin-top: 15px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: 'Avenir';
  font-weight: 500;
  font-size: 10px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
}

.percentage {
  font-family: 'Avenir';
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 14.63px;
  letter-spacing: 0.02em;
}

.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  z-index: 0;

  @media (min-width: 768px) {
    width: 481px;
    height: 481px;
  }
}
.relativeWrapper {
  display: none;
}

.connect {
  button {
    font-family: 'Avenir';
    width: 100%;
    height: 65px;
    border: none;
    background: #00f220;
    box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.11em;
    text-transform: uppercase;
    color: #052152;
    cursor: pointer;

    @media (min-width: 768px) {
      width: 480px;
    }

    &:disabled {
      cursor: auto;
      background: #858383;
      color: white;
    }
    &:hover {
      cursor: pointer;
      color: initial;
      border-color: initial;
    }
  }
}

.successTitle {
  color: white;
  margin-top: 31px;
  margin-bottom: 0;
  font-family: 'Avenir';
  font-style: normal;
  font-weight: 900;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.successDescription {
  font-family: 'Avenir';
  font-style: normal;
  font-weight: 600;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  margin: 0;
  margin-top: 16px;
}

@media (min-width: 768px) {
  .successTitle {
    font-size: 25px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
    margin-top: 41px;
  }

  .successDescription {
    font-size: 16px;
    font-weight: 600;
    margin: 0;
    margin-top: 32px;
  }
}

.playNowContainer {
  margin-top: 30px;
  display: flex;
  justify-content: center;
}

.actionButton {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #00f220;;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
  }
}

.status {
  display: none;
}

.indicatorContainer {
  display: none;
}